//警用器械
import request from "@/utils/request";
// const api = "/mosty-jcgl";
const api = "/mosty-api/mosty-jcgl";

// 下发
export function lssuedJyzb(data) {
  return request({
    url: api + '/tpJcglJyqx/xfJyqx',
    method: 'POST',
    data
  })
}

// 回退
export function RellBackJyzb(params) {
  return request({
    url: api + '/tpJcglJyqx/htJyqx',
    method: 'GET',
    params
  })
}
// 报损
export function ReportLossjYzb(params) {
  return request({
    url: api + '/tpJcglJyqx/bsJyqx',
    method: 'GET',
    params
  })
}


// 分页查询
export function getJyqx(params) {
  return request({
    url: api + '/tpJcglJyqx/selectJyqx',
    method: 'GET',
    params
  })
}
//新增
export function addJyqx(data) {
  return request({
    url: api + '/tpJcglJyqx/addJyqx',
    method: "post",
    data
  })
}
//修改
export function putJyqx(data) {
  return request({
    url: api + '/tpJcglJyqx/updateJyqx',
    method: "post",
    data
  })
}
//详情
export function infoJyqx(id) {
  return request({
    url: api + `/tpJcglJyqx/selectJyqxXq?id=${id}`,
    method: "get"
  })
}
//删除
export function delJyqx(data) {
  return request({
    url: api + `/tpJcglJyqx/deleteJyQxzb`,
    method: "post",
    data
  })
}
